Debian Bug report logs - #652015
pu: package iotop/0.4-2

version graph

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Paul Wise <pabs@debian.org>

Date: Wed, 14 Dec 2011 06:57:01 UTC

Severity: normal

Tags: confirmed, squeeze

Fixed in version 6.0.4

Done: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-kernel@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#652015; Package release.debian.org. (Wed, 14 Dec 2011 06:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
New Bug report received and forwarded. Copy sent to debian-kernel@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>. (Wed, 14 Dec 2011 06:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pu: package iotop/0.4-2
Date: Wed, 14 Dec 2011 14:54:51 +0800
[Message part 1 (text/plain, inline)]
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: pu
X-Debbugs-CC: debian-kernel@lists.debian.org

iotop bug #644616 needs to be fixed in stable because the elevant change
in Linux has been added to the 2.6.32 longterm tree, which the Debian
Linux kernel team intends[1] to add to the next Debian stable point
release. The change in Linux addresses a security issue (CVE-2011-2494)
by removing access to the taskstats interface for non-root users.
Unfortunately iotop relies on this file and therefore it can only run as
root. With the debdiff below iotop will output a friendly message
instead of crashing with a Python traceback.

     1. http://lists.debian.org/1323828773.2825.166.camel@deadeye

--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+iotop (0.4-2+squeeze1) stable; urgency=low
+
+  * Backport patch to give a helpful error instead of crashing when Linux
+    denies permission to read the taskstats files (Closes: #644616)
+
+ -- Paul Wise <pabs@debian.org>  Wed, 14 Dec 2011 14:33:20 +0800
+
 iotop (0.4-2) unstable; urgency=low
 
   * Correct bug number in the changelog for previous version.
--- a/debian/patches/0001-Explain-that-iotop-now-requires-root.patch
+++ b/debian/patches/0001-Explain-that-iotop-now-requires-root.patch
@@ -0,0 +1,33 @@
+From: Guillaume Chazarain <guichaz@gmail.com>
+Date: Sat, 15 Oct 2011 18:39:32 +0200
+Origin: upstream, http://repo.or.cz/w/iotop.git/commitdiff/635b5838e95ed85767434207e463173fd91b6040
+Bug-Debian: http://bugs.debian.org/644616
+Subject: Explain that iotop now requires root.
+ https://lkml.org/lkml/2011/10/1/170
+ http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=1a51410abe7d0ee4b1d112780f46df87d3621043
+--- a/iotop/ui.py
++++ b/iotop/ui.py
+@@ -446,10 +446,19 @@
+     ui.run()
+ 
+ def run_iotop(options):
+-    if options.batch:
+-        return run_iotop_window(None, options)
+-    else:
+-        return curses.wrapper(run_iotop_window, options)
++    try:
++        if options.batch:
++            return run_iotop_window(None, options)
++        else:
++            return curses.wrapper(run_iotop_window, options)
++    except OSError, e:
++        if e.errno == errno.EPERM:
++            print >> sys.stderr, e
++            print >> sys.stderr, ('iotop requires root or the NET_ADMIN '
++                                  'capability.')
++            sys.exit(1)
++        else:
++            raise
+ 
+ #
+ # Profiling
--- a/debian/patches/series
+++ b/debian/patches/series
@@ -1,3 +1,4 @@
 0001-Do-not-report-requirements-that-are-available.patch
 0002-Document-the-requirement-for-CONFIG_VM_EVENT_COUNTER.patch
+0001-Explain-that-iotop-now-requires-root.patch
 
-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#652015; Package release.debian.org. (Wed, 14 Dec 2011 19:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 14 Dec 2011 19:27:03 GMT) Full text and rfc822 format available.

Message #10 received at 652015@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Paul Wise <pabs@debian.org>, 652015@bugs.debian.org
Subject: Re: Bug#652015: pu: package iotop/0.4-2
Date: Wed, 14 Dec 2011 19:25:05 +0000
tag 652015 + squeeze confirmed
thanks

On Wed, 2011-12-14 at 14:54 +0800, Paul Wise wrote:
> iotop bug #644616 needs to be fixed in stable because the elevant change
> in Linux has been added to the 2.6.32 longterm tree, which the Debian
> Linux kernel team intends[1] to add to the next Debian stable point
> release. The change in Linux addresses a security issue (CVE-2011-2494)
> by removing access to the taskstats interface for non-root users.
> Unfortunately iotop relies on this file and therefore it can only run as
> root. With the debdiff below iotop will output a friendly message
> instead of crashing with a Python traceback.

Please go ahead; thanks.

Regards,

Adam





Added tag(s) squeeze and confirmed. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Wed, 14 Dec 2011 19:27:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#652015; Package release.debian.org. (Thu, 15 Dec 2011 02:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 15 Dec 2011 02:00:07 GMT) Full text and rfc822 format available.

Message #17 received at 652015@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: 652015@bugs.debian.org
Cc: debian-kernel <debian-kernel@lists.debian.org>
Subject: Re: Bug#652015: pu: package iotop/0.4-2
Date: Thu, 15 Dec 2011 09:56:39 +0800
[Message part 1 (text/plain, inline)]
On Wed, 2011-12-14 at 19:25 +0000, Adam D. Barratt wrote:

> Please go ahead; thanks.

Uploaded.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#652015; Package release.debian.org. (Sat, 17 Dec 2011 16:39:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 17 Dec 2011 16:39:10 GMT) Full text and rfc822 format available.

Message #22 received at 652015@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Paul Wise <pabs@debian.org>, 652015@bugs.debian.org
Cc: debian-kernel <debian-kernel@lists.debian.org>
Subject: Re: Bug#652015: pu: package iotop/0.4-2
Date: Sat, 17 Dec 2011 16:34:15 +0000
On Thu, 2011-12-15 at 09:56 +0800, Paul Wise wrote:
> On Wed, 2011-12-14 at 19:25 +0000, Adam D. Barratt wrote:
> 
> > Please go ahead; thanks.
> 
> Uploaded.

For the record, this was accepted earlier today.

Regards,

Adam





Added tag(s) pending. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 14 Jan 2012 21:03:23 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 6.0.4, send any further explanations to Paul Wise <pabs@debian.org> Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 28 Jan 2012 14:06:38 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 26 Feb 2012 07:33:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:23:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.